<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCorporateIncomeTaxesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('corporate_income_taxes', function (Blueprint $table) {
            $table->id();
            $table->decimal('tax_base', 15, 2);
            $table->double('rate');
            $table->decimal('tax_amount', 15, 2);
            $table->string('transaction_category');
            $table->date('date');
            $table->string('staff');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('corporate_income_taxes');
    }
}
